# Return bandwidth statistics for all domains

This function retrieves a list of bandwidth records for the domains on a cPanel account.

Note:

This function also returns the bandwidth use of a distributed cPanel account.

Warning:

This function requires the _Bandwidth Stats_ feature. To enable this feature, use WHM's _Feature Manager_
interface (_WHM >> Home >> Packages >> Feature Manager_).

Endpoint: GET /Stats/get_bandwidth
Version: 11.136.0.19
Security: BasicAuth

## Query parameters:

  - `timezone` (string)
    The timezone in which to report the data, in Olson tz format.

Note:

This parameter defaults to the server's timezone.
    Example: "America/Chicago"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_bandwidth"

  - `module` (string)
    The name of the module called.
    Example: "Stats"

  - `result` (object)

  - `result.data` (array)

  - `result.data.bytes` (integer)
    The domain's bandwidth usage, in bytes.
    Example: 74845

  - `result.data.domain` (string)
    The domain for which to display bandwidth statistics.

Note:

The function only returns this value if the protocol return's value is http.
    Example: "example.com"

  - `result.data.month_start` (integer)
    The beginning of the report window.
    Example: 1561957200

  - `result.data.protocol` (string)
    The protocol for which to provide data.
  * http
  * imap
  * smtp
  * pop3
  * ftp
    Enum: "http", "imap", "smtp", "pop3", "ftp"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.metadata.transformed` (integer)
    Post-processing may have transformed the data.
    Enum: 1

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


